uuid: 6fe1eab6-6aa4-4b4f-8fee-b1d1178fa1d2
langcode: en
status: true
dependencies:
  module:
    - honeypot
id: config_sync.module.honeypot
snapshotSet: config_sync
extensionType: module
extensionName: honeypot
items:
  -
    collection: ''
    name: honeypot.settings
    data:
      unprotected_forms:
        - user_login_form
        - search_form
        - search_block_form
        - views_exposed_form
        - honeypot_settings_form
      protect_all_forms: false
      log: false
      element_name: url
      time_limit: 5
      expire: 300
      form_settings:
        user_register_form: false
        user_pass: false
        feedback_contact_message_form: false
        _contact_message_form: false
      _core:
        default_config_hash: 9bVDfWSa_In6VzTXmy04jJ_3ZQobihKjO9isuuUCPaw
  -
    collection: ''
    name: tour.tour.honeypot
    data:
      id: honeypot
      module: honeypot
      label: Honeypot
      langcode: en
      routes:
        -
          route_name: honeypot.config
      tips:
        honeypot-configuration:
          id: honeypot-configuration
          plugin: text
          label: Honeypot
          weight: -10
          body: "Congratulations on installing Honeypot on your site! With just a few clicks, you can have your site well-protected against automated spam bots.\r\n\r\nClick Next to be guided through this configuration page."
          position: top-start
        protect-all-forms:
          id: protect-all-forms
          plugin: text
          label: 'Protect all forms'
          weight: -9
          selector: '#edit-protect-all-forms'
          body: "Protecting all the forms is the easiest way to quickly cut down on spam on your site, but doing this disables Drupal's caching for every page where a form is displayed.\r\n\r\nNote: If you have the honeypot time limit enabled, this option may cause issues with Drupal Commerce product forms or similarly-sparse forms that are able to be completed in a very short time."
          position: bottom-start
        log-blocked-form-submissions:
          id: log-blocked-form-submissions
          plugin: text
          label: 'Log blocked form submissions'
          weight: -8
          selector: '#edit-log'
          body: 'Check this box to log every form submission using watchdog. If you have Database Logging enabled, you can view these log entries in the Recent log messages page under Reports.'
          position: bottom-start
        honeypot-element-name:
          id: honeypot-element-name
          plugin: text
          label: 'Honeypot Element Name'
          weight: -7
          selector: '#edit-element-name'
          body: "Spam bots typically fill out any field they believe will help get links back to their site, so tempting them with a field named something like 'url', 'homepage', or 'link' makes it hard for them to resist filling in the field—and easy to catch them in the trap and reject their submissions!"
          position: top-start
        honeypot-time-limit:
          id: honeypot-time-limit
          plugin: text
          label: 'Honeypot Time Limit'
          weight: -6
          selector: '#edit-time-limit'
          body: "If you enter a positive value, Honeypot will require that all protected forms take at least that many seconds long to fill out. Most forms take at least 5-10 seconds to complete (if you're a human), so setting this to a value < 5 will help protect against spam bots. Set to 0 to disable."
          position: top-start
        honeypot-expire:
          id: honeypot-expire
          plugin: text
          label: 'Honeypot Expire'
          weight: -5
          selector: '#edit-expire'
          body: "If you enter a positive value, Honeypot will require that all protected forms take at least that many seconds long to fill out. Most forms take at least 5-10 seconds to complete (if you're a human), so setting this to a value < 5 will help protect against spam bots. Set to 0 to disable."
          position: top-start
        honeypot-form-specific-settings:
          id: honeypot-form-specific-settings
          plugin: text
          label: 'Honeypot form-specific settings'
          weight: -4
          selector: '#edit-form-settings'
          body: 'If you would like to choose particular forms to be protected by Honeypot, check the forms you wish to protect in this section. Most common types of forms are available for protection.'
          position: top-start
      _core:
        default_config_hash: A_dlRbNEX9_hOqUkQ5m4AskEmat7VEA8qvFt7tVeufQ
